VERSION 5.00
Begin VB.Form frmSave 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Export As"
   ClientHeight    =   2865
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4200
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2865
   ScaleWidth      =   4200
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox ExportToHTML 
      Caption         =   "Export To HTML"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   1200
      Width           =   3735
   End
   Begin VB.CheckBox ExportToRTF 
      Caption         =   "Export To RTF"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   840
      Width           =   3735
   End
   Begin VB.CheckBox ExportToExcel 
      Caption         =   "Export to Excel"
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   480
      Width           =   3735
   End
   Begin VB.CheckBox ExportAsPDF 
      Caption         =   "Export to PDF"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   120
      Width           =   3855
   End
   Begin VB.TextBox txtName 
      Height          =   315
      Left            =   240
      MaxLength       =   40
      TabIndex        =   0
      Top             =   1920
      Width           =   3855
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "cmdCancel"
      Height          =   375
      Left            =   2880
      TabIndex        =   3
      Tag             =   "1025"
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "cmdOk"
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Tag             =   "1024"
      Top             =   2400
      Width           =   1215
   End
   Begin VB.Label lblName 
      Caption         =   "File Name"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Tag             =   "2042"
      Top             =   1680
      Width           =   3855
   End
End
Attribute VB_Name = "frmSave"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Const PDF_FILE_EXTENSION = "PDF"
Private Const EXCEL_FILE_EXTENSION = "XLS"
Private Const RTF_FILE_EXTENSION = "RTF"
Private Const HTML_FILE_EXTENSION = "HTM"

Private Const PDF_FOLDER_NAME = "PDF"
Private Const EXCEL_FOLDER_NAME = "EXCEL"
Private Const RTF_FOLDER_NAME = "RTF"
Private Const HTML_FOLDER_NAME = "HTML"

Private Sub cmdCancel_Click()
    'Close and do not save
    txtName.Text = ""
    Me.Hide
End Sub

Private Function SetFolderPath(iFolderNameToCreate As String) As String

   Dim SavingFolderPath As String
   Dim FileSystemObject As Object
   Set FileSystemObject = CreateObject("Scripting.FileSystemObject")
   
   SavingFolderPath = gstrDesktopPath & "\" & iFolderNameToCreate
   
   ' Verify if the folder exist, if not create it
   If Not (FileSystemObject.FolderExists(gstrDesktopPath & "\" & iFolderNameToCreate)) Then
      On Error GoTo FolderCreationError
         FileSystemObject.CreateFolder (gstrDesktopPath & "\" & iFolderNameToCreate)

   End If
   GoTo ENDFUNCTION ' Exist or no error when creating
FolderCreationError:
   'an error occured use DART 1.3 and lower folder configuration
    SavingFolderPath = gstrDesktopPath

ENDFUNCTION:
SetFolderPath = SavingFolderPath

End Function

Private Sub cmdOk_Click()
    Dim strErrorMsg As String

    If (txtName.Text <> "") Then
    
      'Create The folder to save the report in case
      ' they do not exist and
      'Verify if file exist and ask to overwrite it
      If (Me.ExportAsPDF = 1) Then
         CheckIfFileExist SetFolderPath(PDF_FOLDER_NAME), txtName.Text, PDF_FILE_EXTENSION
      End If
      If (Me.ExportToExcel = 1) Then
         CheckIfFileExist SetFolderPath(EXCEL_FOLDER_NAME), txtName.Text, EXCEL_FILE_EXTENSION
      End If
      If (Me.ExportToRTF = 1) Then
         CheckIfFileExist SetFolderPath(RTF_FOLDER_NAME), txtName.Text, RTF_FILE_EXTENSION
      End If
      If (Me.ExportToHTML = 1) Then
         CheckIfFileExist SetFolderPath(HTML_FOLDER_NAME), txtName.Text, HTML_FILE_EXTENSION
      End If
   End If
   Me.Hide
End Sub

Private Sub Form_Load()

    Me.Icon = frmReport.imlIcon.ListImages(7).ExtractIcon
    Me.Left = Screen.Width / 2
    Me.Top = 1000
    Me.lblName.Caption = gobjLanguage.getword(133)
    Me.cmdCancel.Caption = gobjLanguage.getword(1025)
    Me.cmdOk.Caption = gobjLanguage.getword(1024)
    Me.Caption = gobjLanguage.getword(172)
End Sub

Private Sub txtName_KeyPress(KeyAscii As Integer)

    'Is it alphanumeric Cannot use this symbols "*/\:-<>?|
    If (KeyAscii >= 32 And KeyAscii <> 34 And KeyAscii <> 42 And KeyAscii <> 47) And _
       (KeyAscii <> 58 And KeyAscii <> 60 And KeyAscii <> 62 And KeyAscii <> 63) And _
       (KeyAscii <> 92 And KeyAscii <> 124) Or _
       ((KeyAscii = 8) Or (KeyAscii = 13)) Then
        'It's ok to use it
    Else
        'Tell the user the key is invalid
        MsgBox gobjLanguage.getword(5019), vbCritical, frmReport.Caption
        KeyAscii = 0
    End If
    
    'If the user press ENTER react as if he click OK
    If (KeyAscii = 13) Then
        cmdOk_Click
    End If

End Sub

Private Sub CheckIfFileExist(iFileFolderPath As String, iFilename As String, strFileExtension As String)

   Dim intAnswer As Integer
   Dim strErrorMsg As String
   Dim localFileName As String
   
   localFileName = iFilename & "." & strFileExtension
   
   If (Dir$(iFileFolderPath & "\" & localFileName) <> "") Then
      ' The file %s already exists. Do you want to replace the existing file?
      strErrorMsg = Replace(gobjLanguage.getword(1082), "%s", localFileName)
      intAnswer = MsgBox(strErrorMsg, vbYesNoCancel + vbQuestion, frmReport.Caption)
      
      Select Case intAnswer
      Case vbYes
          'delete the file
          If (strFileExtension = HTML_FILE_EXTENSION) Then
            Kill (iFileFolderPath & "\" & txtName.Text & "*.HTM")
            Kill (iFileFolderPath & "\" & txtName.Text & "*.jpg")
          Else
            Kill (iFileFolderPath & "\" & txtName.Text & "." & strFileExtension)
          End If
      Case vbNo
          If (strFileExtension = PDF_FILE_EXTENSION) Then
              Me.ExportAsPDF = 0
          ElseIf (strFileExtension = EXCEL_FILE_EXTENSION) Then
              Me.ExportToExcel = 0
          ElseIf (strFileExtension = RTF_FILE_EXTENSION) Then
              Me.ExportToRTF = 0
          ElseIf (strFileExtension = HTML_FILE_EXTENSION) Then
              Me.ExportToHTML = 0
          End If
      End Select
   End If
End Sub


